Rename a project or project space

PUT https://{controlplane_path}/api/1/rest/public/assetapi/project/{project_or_space_path}      

Overview

This API renames an existing project or project space.

Prerequisites

  • Environment (Org) admin permissions or Full Access permissions to the project or project space

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
project_or_space_path Required. The path to the SnapLogic project or project space.
Format:
  • Project: /{env_org}/{project_space}/{project_name}
  • Project space: /{env_org}/{project_space}
Important: The path comparison is case-sensitive.

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body


{
  "name": "testproject2"
}
Key Type Description
name string The new name for the project.
Note: The names of assets, projects, or project spaces are limited to UTF-8 alphanumeric characters and these special characters: !"$%&'()*+,-.:;<=>@[]^_`{|}~.

Response


{
    "success": true
}